<?php

class i_mukurtu_3_0_3_upgrade extends i_action_upgrade
{
public function step1_init() {}
public function step1_process()
{
	

$this->extract("main");
$this->rm("mukurtucms-3.0.3/sites/default");
$this->mv("mukurtucms-3.0.3/*");
$this->rm('mukurtucms-3.0.3');
$this->rm('mupgradescript.sh');
$this->write("mupgradescript.sh", "#!/bin/bash
# Version 3.0.3 2022-10-05
cd {$this->path}
echo \"Running Mukurtu CMS v3.0.3 update scripts\" > mukurtu_update.log
/usr/local/bin/php /usr/local/bin/drush cc drush >> mukurtu_update.log
/usr/local/bin/php /usr/local/bin/drush cc all >> mukurtu_update.log
/usr/local/bin/php /usr/local/bin/drush updatedb -y >> mukurtu_update.log
/usr/local/bin/php /usr/local/bin/drush cc all >> mukurtu_update.log
chmod 644 mukurtu_update.log
");

$this->sr("mupgradescript.sh", "#\r#", "");

//shell_exec("/usr/bin/nohup /bin/sh {$this->path}/mupgradescript.sh &> /dev/null &");

// Create .htaccess fixer script
$shell_script = <<<EOM
#!/bin/bash

cd {$this->path}

grep "<IfModule Litespeed>" .htaccess 2>&1 /dev/null || \
/usr/bin/sed -i "1s/^/\\n/" .htaccess && \
/usr/bin/sed -i "1s/^/\\n/" .htaccess && \
/usr/bin/sed -i "1s/^/<\/IfModule>/" .htaccess && \
/usr/bin/sed -i "1s/^/\\n/" .htaccess && \
/usr/bin/sed -i "1s/^/SetEnv noconntimeout 1/" .htaccess && \
/usr/bin/sed -i "1s/^/\\n/" .htaccess && \
/usr/bin/sed -i "1s/^/SetEnv noabort 1/" .htaccess && \
/usr/bin/sed -i "1s/^/\\n/" .htaccess && \
/usr/bin/sed -i "1s/^/<IfModule Litespeed>/" .htaccess

EOM;

// Write and execute .htaccess fixer script
$this->write("mukurtu_htaccess_fixer.sh", $shell_script);
$this->sr("mukurtu_htaccess_fixer.sh", "#\r#", "");	
exec("/usr/bin/nohup /bin/sh {$this->path}/mukurtu_htaccess_fixer.sh &> /dev/null &");

		
}
}

?>